Package com.xebialabs.xlrelease.serialization.json.xltype

# Class CiJson2Reader

java.lang.Object
com.xebialabs.xlrelease.serialization.json.xltype.CiJson2Reader

All Implemented Interfaces:
  `com.xebialabs.xltype.serialization.CiReader`

public class CiJson2Reader extends Object implements com.xebialabs.xltype.serialization.CiReader

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CiJson2Reader(jakarta.json.JsonObject json)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CiJson2Reader`
  `create(String jsonObject)`
  `CiAttributes`
  `getCiAttributes()`
  `String`
  `getCiReference()`
  `List<String>`
  `getCiReferences()`
  `com.xebialabs.xltype.serialization.CiListReader`
  `getCurrentCiListReader()`
  `String`
  `getCurrentPropertyName()`
  `Map<String,ExternalProperty>`
  `getExternalProperties()`
  `String`
  `getId()`
  `Map<String,String>`
  `getStringMap()`
  `String`
  `getStringValue()`
  `List<String>`
  `getStringValues()`
  `String`
  `getToken()`
  `String`
  `getType()`
  `List<ValidationMessage>`
  `getValidationMessages()`
  `boolean`
  `hasMoreProperties()`
  `boolean`
  `isCiReference()`
  `com.xebialabs.xltype.serialization.CiReader`
  `moveIntoNestedProperty()`
  `void`
  `moveIntoProperty()`
  `void`
  `moveOutOfProperty()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CiJson2Reader

    public CiJson2Reader(jakarta.json.JsonObject json)

- ## Method Details

  - ### create

    public static CiJson2Reader create(String jsonObject)

  - ### getType

    public String getType()
    Specified by:
      `getType` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getId

    public String getId()
    Specified by:
      `getId` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getToken

    public String getToken()
    Specified by:
      `getToken` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getCiAttributes

    public CiAttributes getCiAttributes()
    Specified by:
      `getCiAttributes` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### hasMoreProperties

    public boolean hasMoreProperties()
    Specified by:
      `hasMoreProperties` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### moveIntoProperty

    public void moveIntoProperty()
    Specified by:
      `moveIntoProperty` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### moveIntoNestedProperty

    public com.xebialabs.xltype.serialization.CiReader moveIntoNestedProperty()
    Specified by:
      `moveIntoNestedProperty` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### moveOutOfProperty

    public void moveOutOfProperty()
    Specified by:
      `moveOutOfProperty` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getCurrentPropertyName

    public String getCurrentPropertyName()
    Specified by:
      `getCurrentPropertyName` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getStringValue

    public String getStringValue()
    Specified by:
      `getStringValue` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getStringValues

    public List<String> getStringValues()
    Specified by:
      `getStringValues` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getStringMap

    public Map<String,String> getStringMap()
    Specified by:
      `getStringMap` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### isCiReference

    public boolean isCiReference()
    Specified by:
      `isCiReference` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getCiReference

    public String getCiReference()
    Specified by:
      `getCiReference` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getCiReferences

    public List<String> getCiReferences()
    Specified by:
      `getCiReferences` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getCurrentCiListReader

    public com.xebialabs.xltype.serialization.CiListReader getCurrentCiListReader()
    Specified by:
      `getCurrentCiListReader` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getValidationMessages

    public List<ValidationMessage> getValidationMessages()
    Specified by:
      `getValidationMessages` in interface `com.xebialabs.xltype.serialization.CiReader`

  - ### getExternalProperties

    public Map<String,ExternalProperty> getExternalProperties()
    Specified by:
      `getExternalProperties` in interface `com.xebialabs.xltype.serialization.CiReader`